﻿

.section__tabsList {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: var(--section-desktop-padding);
    padding-bottom: 22px;
}


.tabsList {
    display: flex;
    gap: 20px;
    list-style-type: none;
    padding: unset;
    width: 700px;
}

.tabsContainer::-webkit-scrollbar {
    visibility: hidden;
    height: 0;
    width: 0;
    padding: 0;
}

.tabsList .tab {
    width: inherit;
    text-align: center;
    padding: 16px 24px;
    display: flex;
    gap: 0.5rem;
    border-radius: 8px;
    border: 0.5px solid #929292;
    flex-direction: column;
    background-color: white;
    cursor: pointer;
    align-items: center;
    min-height: 138px;
    justify-content: start;
    font-size: 14px;
}

.tab img {
    width: 52px;
    height: 52px;
}

.tab .text {
    max-width: 142px;
    width: 100%;
    word-break: break-word;
}

.active {
    border: 2px solid #101820 !important;
}

    .active #tabTitle {
        font-weight: 600;
    }

.tabContant {
    width: inherit;
    --section-desktop-padding: 38px 0;
}

.tabsContainer__fixed {
    position: fixed;
    z-index: 100;
    top: 0;
    background-color: white;
    height: 93px;
    padding: 25px 22px;
    width: 100%;
    display: flex;
    justify-content: center;
    box-shadow: 0 0 24px rgba(0, 0, 0, 0.1);
}

.tabsList__fixed {
    width: 700px;
    justify-content: center;
}

.tabsList .tab__fixed {
    height: unset;
    padding: unset;
    min-height: unset;
    flex-direction: row;
    background-color: white;
    justify-content: center;
}


.tab__fixed img {
    width: 16px;
    height: 16px;
}

@media screen and (max-width:768px) {

    .section__tabsList {
        align-items: start;
        padding: var(--section-mobile-padding);
        padding-bottom: 16px;
    }

        .section__tabsList h2 {
            margin: 0;
            padding: 0 0 32px;
        }

    .tabsContainer {
        width: 100%;
        overflow-x: scroll;
        overflow-y: hidden;
        padding: 0 24px;
    }

    .tabsContainer__fixed {
        position: fixed;
        z-index: 10000000;
        top: 0;
        background-color: white;
        height: 73px;
        padding: 14.5px 24px;
        display: unset;
    }

    .tabsList {
        height: unset;
        margin: unset;
    }


        .tabsList .tab__fixed {
            height: 40px;
            min-height: unset;
            flex-direction: row;
            padding: 0 8px;
            width: max-content;
            font-size: 12px;
            justify-content: center;
        }


        .tab .text{
            min-width:140px;
        }

    .tabContant {
        width: inherit;
        --section-mobile-padding: 24px 0;
    }
}
